(set-logic BV)
(set-info :source | Software ranking function synthesis problems.
These benchmarks stem from an evaluation described in Wintersteiger, Hamadi, de Moura: Efficiently solving quantified bit-vector formulas, FMSD 42(1), 2013.
The software models that were used are from a previous evaluation of termination proving tools described in Cook, Kroening, Ruemmer, Wintersteiger: Ranking Function Synthesis for Bit-Vector Relations, TACAS 2010.
 |)
(set-info :smt-lib-version 2.0)
(set-info :category "industrial")
(set-info :status unknown)
(assert (exists ((c__ioctl__main__1__ulBuffSize_36_C (_ BitVec 32))) (exists ((c__ioctl__main__1__i_36_C (_ BitVec 32))) (forall ((termination__pre__0__c__ioctl__main__1__i (_ BitVec 32))) (forall ((termination__pre__0__c__ioctl__main__1__ulBuffSize (_ BitVec 32))) (forall ((c__ioctl__main__1__pTempR3Desc (_ BitVec 40))) (forall ((c__ioctl__main__1__i_35_0 (_ BitVec 32))) (forall ((c__ioctl__main__1__ulBuffSize_35_1 (_ BitVec 32))) (forall ((c__ioctl__main__1__inputBufferLength (_ BitVec 32))) (forall ((c__ioctl__main__1__ulBuffSize_35_0 (_ BitVec 32))) (forall ((c__ioctl__main__1__pTempR3Desc_ulLength (_ BitVec 32))) (forall ((c__ioctl__main__1__IsochAttachBuffers_nNumberOfDescriptors (_ BitVec 32))) (forall ((c__ioctl__main__1__i (_ BitVec 32))) (forall ((c__ioctl__main__1__ulBuffSize (_ BitVec 32))) (=> (and (= termination__pre__0__c__ioctl__main__1__ulBuffSize c__ioctl__main__1__ulBuffSize_35_0) (= termination__pre__0__c__ioctl__main__1__i c__ioctl__main__1__i_35_0) (not (bvuge c__ioctl__main__1__i_35_0 c__ioctl__main__1__IsochAttachBuffers_nNumberOfDescriptors)) (= (bvand (_ bv3 32) ((_ extract 31 0) c__ioctl__main__1__pTempR3Desc)) (_ bv0 32)) (bvuge (bvadd (_ bv31 32) c__ioctl__main__1__ulBuffSize_35_0) c__ioctl__main__1__ulBuffSize_35_0) (= c__ioctl__main__1__ulBuffSize_35_1 (bvadd c__ioctl__main__1__ulBuffSize_35_0 (_ bv31 32))) (bvuge c__ioctl__main__1__inputBufferLength c__ioctl__main__1__ulBuffSize_35_1) (bvuge (bvadd c__ioctl__main__1__pTempR3Desc_ulLength c__ioctl__main__1__ulBuffSize_35_1) c__ioctl__main__1__ulBuffSize_35_1) (= c__ioctl__main__1__ulBuffSize (bvadd c__ioctl__main__1__ulBuffSize_35_1 c__ioctl__main__1__pTempR3Desc_ulLength)) (bvuge c__ioctl__main__1__inputBufferLength c__ioctl__main__1__ulBuffSize) (= c__ioctl__main__1__i (bvadd c__ioctl__main__1__i_35_0 (_ bv1 32)))) (bvslt (bvadd ((_ sign_extend 2) (bvmul ((_ sign_extend 33) c__ioctl__main__1__ulBuffSize_36_C) ((_ zero_extend 33) c__ioctl__main__1__ulBuffSize))) ((_ sign_extend 2) (bvmul ((_ sign_extend 33) c__ioctl__main__1__i_36_C) ((_ zero_extend 33) c__ioctl__main__1__i)))) (bvadd ((_ sign_extend 2) (bvmul ((_ sign_extend 33) c__ioctl__main__1__ulBuffSize_36_C) ((_ zero_extend 33) termination__pre__0__c__ioctl__main__1__ulBuffSize))) ((_ sign_extend 2) (bvmul ((_ sign_extend 33) c__ioctl__main__1__i_36_C) ((_ zero_extend 33) termination__pre__0__c__ioctl__main__1__i)))))) ) ) ) ) ) ) ) ) ) ) ) ) ))
(check-sat)
(exit)
