(set-logic BV)
(declare-fun b_seg2_off0_gen1 () (_ BitVec 8))
(declare-fun b_seg2_off1_gen1 () (_ BitVec 8))
(declare-fun b_seg2_off7_gen1 () (_ BitVec 8))
(declare-fun b_seg2_off4_gen1 () (_ BitVec 8))
(declare-fun b_seg2_off15_gen2 () (_ BitVec 8))
(declare-fun b_seg2_off3_gen1 () (_ BitVec 8))
(declare-fun b_seg2_off6_gen1 () (_ BitVec 8))
(declare-fun b_seg2_off10_gen2 () (_ BitVec 8))
(declare-fun b_seg2_off11_gen2 () (_ BitVec 8))
(declare-fun b_seg2_off12_gen2 () (_ BitVec 32))
(declare-fun b_seg2_off13_gen2 () (_ BitVec 32))
(declare-fun b_seg2_off14_gen2 () (_ BitVec 32))

(assert
(let ((a!1 (distinct ((_ extract 7 0)
                       (bvsrem ((_ sign_extend 24) b_seg2_off4_gen1)
                               ((_ sign_extend 24) b_seg2_off7_gen1)))
                     #x00))
      (a!2 (= b_seg2_off11_gen2
              ((_ extract 7 0)
                (bvsrem ((_ sign_extend 24) b_seg2_off4_gen1)
                        ((_ sign_extend 24) b_seg2_off7_gen1))))))
  (and true
       (bvslt b_seg2_off0_gen1 #x00)
       (bvsge b_seg2_off1_gen1 #x00)
       (distinct b_seg2_off7_gen1 #x00)
       a!1
       (distinct b_seg2_off15_gen2 #x00)
       (= b_seg2_off3_gen1 (bvsub #x00 b_seg2_off0_gen1))
       (= b_seg2_off4_gen1 b_seg2_off3_gen1)
       (= b_seg2_off6_gen1 (bvsub #x00 b_seg2_off1_gen1))
       (= b_seg2_off7_gen1 b_seg2_off1_gen1)
       (= b_seg2_off10_gen2 b_seg2_off7_gen1)
       a!2
       (= b_seg2_off12_gen2 ((_ sign_extend 24) b_seg2_off11_gen2))
       (= b_seg2_off13_gen2 ((_ sign_extend 24) b_seg2_off10_gen2))
       (= b_seg2_off14_gen2 (bvsrem b_seg2_off13_gen2 b_seg2_off12_gen2))
       (= b_seg2_off15_gen2 ((_ extract 7 0) b_seg2_off14_gen2)))))

(assert
(forall ((a_seg2_off0_gen1 (_ BitVec 8))
         (a_seg2_off1_gen1 (_ BitVec 8))
         (a_seg2_off7_gen1 (_ BitVec 8))
         (a_seg2_off15_gen1 (_ BitVec 8))
         (a_seg2_off3_gen1 (_ BitVec 8))
         (a_seg2_off0_gen1!1 (_ BitVec 8))
         (a_seg2_off4_gen1 (_ BitVec 8))
         (a_seg2_off3_gen1!1 (_ BitVec 8))
         (a_seg2_off6_gen1 (_ BitVec 8))
         (a_seg2_off1_gen1!1 (_ BitVec 8))
         (a_seg2_off7_gen1!1 (_ BitVec 8))
         (a_seg2_off1_gen1!2 (_ BitVec 8))
         (a_seg2_off10_gen1 (_ BitVec 8))
         (a_seg2_off4_gen1!1 (_ BitVec 8))
         (a_seg2_off11_gen1 (_ BitVec 8))
         (a_seg2_off7_gen1!2 (_ BitVec 8))
         (a_seg2_off12_gen1 (_ BitVec 32))
         (a_seg2_off11_gen1!1 (_ BitVec 8))
         (a_seg2_off13_gen1 (_ BitVec 32))
         (a_seg2_off10_gen1!1 (_ BitVec 8))
         (a_seg2_off14_gen1 (_ BitVec 32))
         (a_seg2_off13_gen1!1 (_ BitVec 32))
         (a_seg2_off12_gen1!1 (_ BitVec 32))
         (a_seg2_off15_gen1!1 (_ BitVec 8))
         (a_seg2_off14_gen1!1 (_ BitVec 32)))
  (let ((a!1 (not (and true
                       (bvslt a_seg2_off0_gen1!1 #x00)
                       (bvsge a_seg2_off1_gen1!2 #x00)
                       (distinct a_seg2_off7_gen1!2 #x00)
                       (distinct a_seg2_off15_gen1!1 #x00)
                       (= a_seg2_off3_gen1!1 (bvsub #x00 a_seg2_off0_gen1!1))
                       (= a_seg2_off4_gen1!1 a_seg2_off3_gen1!1)
                       (= a_seg2_off6_gen1 (bvsub #x00 a_seg2_off1_gen1!2))
                       (= a_seg2_off7_gen1!2 a_seg2_off1_gen1!2)
                       (= a_seg2_off10_gen1!1 a_seg2_off4_gen1!1)
                       (= a_seg2_off11_gen1!1 a_seg2_off7_gen1!2)
                       (= a_seg2_off12_gen1!1
                          ((_ sign_extend 24) a_seg2_off11_gen1!1))
                       (= a_seg2_off13_gen1!1
                          ((_ sign_extend 24) a_seg2_off10_gen1!1))
                       (= a_seg2_off14_gen1!1
                          (bvsrem a_seg2_off13_gen1!1 a_seg2_off12_gen1!1))
                       (= a_seg2_off15_gen1!1
                          ((_ extract 7 0) a_seg2_off14_gen1!1))))))
    (or a!1
        false
        (distinct a_seg2_off0_gen1!1 b_seg2_off0_gen1)
        (distinct a_seg2_off1_gen1!2 b_seg2_off1_gen1)
        (distinct a_seg2_off3_gen1!1 b_seg2_off3_gen1)
        (distinct a_seg2_off4_gen1!1 b_seg2_off4_gen1)
        (distinct a_seg2_off6_gen1 b_seg2_off6_gen1)
        (distinct a_seg2_off7_gen1!2 b_seg2_off7_gen1)
        (distinct a_seg2_off10_gen1!1 b_seg2_off10_gen2)
        (distinct a_seg2_off11_gen1!1 b_seg2_off11_gen2)
        (distinct a_seg2_off12_gen1!1 b_seg2_off12_gen2)
        (distinct a_seg2_off13_gen1!1 b_seg2_off13_gen2)
        (distinct a_seg2_off14_gen1!1 b_seg2_off14_gen2)
        (distinct a_seg2_off15_gen1!1 b_seg2_off15_gen2)))))

(check-sat)