(set-logic BV)
(declare-fun b_seg3_off5_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off4_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off16_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off17_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off22_gen1 () (_ BitVec 64))
(declare-fun b_seg3_off3_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off23_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off24_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off9_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off7_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off8_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off68_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off14_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off73_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off142_gen1 () (_ BitVec 32))
(declare-fun b_seg3_off148_gen1 () (_ BitVec 32))
(declare-fun b_seg2_off0_gen1 () (_ BitVec 32))

(assert
(and true
     (distinct b_seg3_off5_gen1 #x00000000)
     (distinct b_seg3_off4_gen1 #x00000000)
     (distinct b_seg3_off16_gen1 #xffffd000)
     (= b_seg3_off17_gen1 #xffffc000)
     (bvslt b_seg3_off22_gen1 #x0000000000000001)
     (distinct b_seg3_off3_gen1 #x00000000)
     (distinct b_seg3_off23_gen1 #x00000000)
     (distinct b_seg3_off24_gen1 #x00000000)
     (distinct b_seg3_off9_gen1 #x00000000)
     (distinct b_seg3_off7_gen1 #xffffffff)
     (= b_seg3_off8_gen1 #x00000000)
     (= b_seg3_off7_gen1 #xfffffffc)
     (distinct b_seg3_off7_gen1 #xfffffffe)
     (bvsge b_seg3_off68_gen1 #x00000001)
     (distinct (bvor #x00000000 b_seg3_off14_gen1) #x00000000)
     (bvsge b_seg3_off73_gen1 #x00000001)
     (distinct (bvor #x00000000 b_seg3_off14_gen1) #x00000000)
     (bvsge b_seg3_off142_gen1 #x00000001)
     (distinct (bvor #x00000000 b_seg3_off14_gen1) #x00000000)
     (bvslt b_seg3_off148_gen1 #x00000001)
     (= b_seg2_off0_gen1 b_seg3_off148_gen1)))

(assert
(forall ((a_seg3_off5_gen1 (_ BitVec 32))
         (a_seg3_off4_gen1 (_ BitVec 32))
         (a_seg3_off16_gen1 (_ BitVec 32))
         (a_seg3_off17_gen1 (_ BitVec 32))
         (a_seg3_off22_gen1 (_ BitVec 64))
         (a_seg3_off3_gen1 (_ BitVec 32))
         (a_seg3_off23_gen1 (_ BitVec 32))
         (a_seg3_off24_gen1 (_ BitVec 32))
         (a_seg3_off9_gen1 (_ BitVec 32))
         (a_seg3_off7_gen1 (_ BitVec 32))
         (a_seg3_off8_gen1 (_ BitVec 32))
         (a_seg3_off7_gen1!1 (_ BitVec 32))
         (a_seg3_off7_gen1!2 (_ BitVec 32))
         (a_seg3_off68_gen1 (_ BitVec 32))
         (a_seg3_off14_gen1 (_ BitVec 32))
         (a_seg3_off73_gen1 (_ BitVec 32))
         (a_seg3_off14_gen1!1 (_ BitVec 32))
         (a_seg3_off142_gen1 (_ BitVec 32))
         (a_seg2_off0_gen1 (_ BitVec 32))
         (a_seg3_off142_gen1!1 (_ BitVec 32)))
  (let ((a!1 (not (and true
                       (distinct a_seg3_off5_gen1 #x00000000)
                       (distinct a_seg3_off4_gen1 #x00000000)
                       (distinct a_seg3_off16_gen1 #xffffd000)
                       (= a_seg3_off17_gen1 #xffffc000)
                       (bvslt a_seg3_off22_gen1 #x0000000000000001)
                       (distinct a_seg3_off3_gen1 #x00000000)
                       (distinct a_seg3_off23_gen1 #x00000000)
                       (distinct a_seg3_off24_gen1 #x00000000)
                       (distinct a_seg3_off9_gen1 #x00000000)
                       (distinct a_seg3_off7_gen1!2 #xffffffff)
                       (= a_seg3_off8_gen1 #x00000000)
                       (= a_seg3_off7_gen1!2 #xfffffffc)
                       (distinct a_seg3_off7_gen1!2 #xfffffffe)
                       (bvsge a_seg3_off68_gen1 #x00000001)
                       (distinct (bvor #x00000000 a_seg3_off14_gen1!1)
                                 #x00000000)
                       (bvsge a_seg3_off73_gen1 #x00000001)
                       (distinct (bvor #x00000000 a_seg3_off14_gen1!1)
                                 #x00000000)
                       (bvslt a_seg3_off142_gen1!1 #x00000001)
                       (= a_seg2_off0_gen1 a_seg3_off142_gen1!1)))))
    (or a!1 false (distinct a_seg2_off0_gen1 b_seg2_off0_gen1)))))

(check-sat)