(set-logic BV)
(declare-fun b_seg2_off0_gen1 () (_ BitVec 32))
(declare-fun b_seg2_off1_gen1 () (_ BitVec 32))
(declare-fun b_seg2_off2_gen1 () (_ BitVec 32))

(assert
(let ((a!1 ((_ zero_extend 16)
             ((_ extract 15 0)
               (bvadd #x00000000 (bvand b_seg2_off0_gen1 #x000000ff))))))
(let ((a!2 (bvugt ((_ extract 15 0)
                    (bvadd a!1 (bvand b_seg2_off1_gen1 #x000000ff)))
                  #x00fe))
      (a!3 ((_ extract 7 0)
             ((_ extract 15 0) (bvadd a!1 (bvand b_seg2_off1_gen1 #x000000ff))))))
  (and true
       (= (bvlshr b_seg2_off0_gen1 #x00000018) #x00000000)
       (= (bvand (bvlshr b_seg2_off0_gen1 #x00000010) #x000000ff) #x00000000)
       (= (bvand (bvlshr b_seg2_off0_gen1 #x00000008) #x000000ff) #x00000000)
       (= (bvlshr b_seg2_off1_gen1 #x00000018) #x00000000)
       (= (bvand (bvlshr b_seg2_off1_gen1 #x00000010) #x000000ff) #x00000000)
       (= (bvand (bvlshr b_seg2_off1_gen1 #x00000008) #x000000ff) #x00000000)
       a!2
       (= b_seg2_off2_gen1
          (bvor #x00000100 ((_ zero_extend 24) a!3) #x00000000))))))

(assert
(forall ((a_seg2_off0_gen1 (_ BitVec 32))
         (a_seg2_off0_gen1!1 (_ BitVec 32))
         (a_seg2_off0_gen1!2 (_ BitVec 32))
         (a_seg2_off1_gen1 (_ BitVec 32))
         (a_seg2_off1_gen1!1 (_ BitVec 32))
         (a_seg2_off1_gen1!2 (_ BitVec 32))
         (a_seg2_off0_gen1!3 (_ BitVec 32))
         (a_seg2_off1_gen1!3 (_ BitVec 32))
         (a_seg2_off2_gen1 (_ BitVec 32))
         (a_seg2_off0_gen1!4 (_ BitVec 32))
         (a_seg2_off1_gen1!4 (_ BitVec 32)))
  (let ((a!1 ((_ zero_extend 16)
               ((_ extract 15 0)
                 (bvadd #x00000000 (bvand a_seg2_off0_gen1!4 #x000000ff))))))
  (let ((a!2 (bvule ((_ extract 15 0)
                      (bvadd a!1 (bvand a_seg2_off1_gen1!4 #x000000ff)))
                    #x00fe))
        (a!3 ((_ extract 7 0)
               ((_ extract 15 0)
                 (bvadd a!1 (bvand a_seg2_off1_gen1!4 #x000000ff))))))
  (let ((a!4 (and true
                  (= (bvlshr a_seg2_off0_gen1!4 #x00000018) #x00000000)
                  (= (bvand (bvlshr a_seg2_off0_gen1!4 #x00000010) #x000000ff)
                     #x00000000)
                  (= (bvand (bvlshr a_seg2_off0_gen1!4 #x00000008) #x000000ff)
                     #x00000000)
                  (= (bvlshr a_seg2_off1_gen1!4 #x00000018) #x00000000)
                  (= (bvand (bvlshr a_seg2_off1_gen1!4 #x00000010) #x000000ff)
                     #x00000000)
                  (= (bvand (bvlshr a_seg2_off1_gen1!4 #x00000008) #x000000ff)
                     #x00000000)
                  a!2
                  (= a_seg2_off2_gen1
                     (bvor #x00000000 ((_ zero_extend 24) a!3) #x00000000)))))
    (or (not a!4)
        false
        (distinct a_seg2_off0_gen1!4 b_seg2_off0_gen1)
        (distinct a_seg2_off1_gen1!4 b_seg2_off1_gen1)
        (distinct a_seg2_off2_gen1 b_seg2_off2_gen1)))))))

(check-sat)